/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2014 Esko Stonecube Ltd. All rights reserved.
 */

 define([
    "underscore",
    "backbone",
    "WV3Dmod/LogMessage"
    ], function (
        _,
        bb,
        LogMessage
        ) {

    'use strict';


    /**
     * @alias module:WebViewer3D
     * @class WV3DHttpRequestHandler
     */
    var WV3DHttpRequestHandler = bb.Model.extend({

        /**
         * Load a scene from a URL resource
         *
         * @param {String} sceneURL URL to the scene data
         */
        initialize: function (__resourceURL, __caller, __callback)
        {
            LogMessage.Log("Creating WV3DHttpRequestHandler Object");

            this.set('_resourceURL', __resourceURL);
            this.set('_caller', __caller);
            this.set('_callback', __callback);

            var self = this;

            $.get(__resourceURL).done(function(data)
                {
                    self.HttpRequestHandler(data);
                }
            );
        },

        /** Call back for HTTP requests */
        HttpRequestHandler: function (resource)
        {
            if ((typeof resource)== "string")
            {
                try
                {
                    var resource_structure = JSON.parse(resource);
                }catch(e)
                {
                    LogMessage.Log(e);
                }
                this.get('_callback').call(this.get('_caller'),resource_structure,this.get('_resourceURL'));
            }else
            {
                this.get('_callback').call(this.get('_caller'),resource,this.get('_resourceURL'));
            }
        }

    });

return WV3DHttpRequestHandler;

});