/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2014 Esko Stonecube Ltd. All rights reserved.
 */

define([
    "backbone"
    ], function (
        bb
        ) {
    
    'use strict';

    /**
     * @alias module:WebViewer3D
     * @class LogMessage
     * Warning : this class is a singleton, any modification to one of its component will change for each reference to it.
     */
    var LogMessage = bb.Model.extend({

        initialize: function()
        {
            this.set("_warning_message_displayed", false);
        },

        SetCallbackFunction: function(__clientLogMessageCallback)
        {
            if(__clientLogMessageCallback)
            {
                console.log("LogMessage: Callback function set (following messages will use callback function).");
                this.set("_warning_message_displayed", false);
                this.set("_clientLogMessageCallback", __clientLogMessageCallback);
            }
        },

        /**
         * @function
         */
        Log: function(__string)
        {
            if(this.get("_clientLogMessageCallback") && (typeof this.get("_clientLogMessageCallback") == "function"))
            {
                this.get("_clientLogMessageCallback")(__string);
            }
            else
            {
                if(!this.get("_warning_message_displayed"))
                {
                    console.log("LogMessage: No function callback set or callback set is not a function (default to console).");
                    this.set("_warning_message_displayed", true);
                }
                console.log(__string);
            }
        },


    });

    return new LogMessage;

});