/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2015 Esko Stonecube Ltd. All rights reserved.
 */

define([
    "underscore",
    "backbone",
    "WV3Dmod/LogMessage"
    ], function (
        _,
        bb,
        LogMessage
        ) {
    
    'use strict';

    /**
     * @alias module:WebViewer3D
     * @class OverrideRingBuffer
     * Part of the code has been inspired from http://stackoverflow.com/questions/16432804/recording-fps-in-webgl
     */
    var OverrideRingBuffer = bb.Model.extend({

      initialize: function(__size)
      {
          // LogMessage.Log("Creating OverrideRingBuffer Object");
          
          this.set("_size", __size);
          this.set("_head", 0);
          this.set("_buffer", new Array());
      },

      Push: function(__value){      
          if(this.get("_head") >= this.get("_size")) this.set("_head",0);    
          this.get("_buffer")[this.get("_head")] = __value;
          this.set("_head", this.get("_head")+1);
      },

      GetAverage: function(){
          if(this.get("_buffer").length === 0) return 0;

          var sum = 0;    

          for(var i = 0; i < this.get("_buffer").length; i++){
              sum += this.get("_buffer")[i];
          }    

          return (sum / this.get("_buffer").length).toFixed(1);
      }

    });

return OverrideRingBuffer;

});