/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2015 Esko Stonecube Ltd. All rights reserved.
 */

define(["WV3Dlib/three",
        "WV3Dmod/shaders/VertexShaderNPM",
        "WV3Dmod/shaders/ShaderUtils"
        ],
        function(THREE,
                 VertexShaderNPM,
                 ShaderUtils)
        {
        /**
         * @alias module:WebViewer3D
         * @class ColorDepthShader
         * This shader encodes a depth gradient of input geometries into the output rendertarget
         * This can only be used as input to 2D post processing like edge detection for highlights,
         * but is not reliable to encode accurate depth such as depth peeling.
         */

        var ColorDepthShader = {

            uniforms: {},

            vertexShader: VertexShaderNPM.vertexShader,

            fragmentShader:
            [

                ShaderUtils.get('EncodeDepthChunck'),
                "void main()",
                "{",
                    "vec4 depth = EncodeFloatRGBA((1.0 - gl_FragCoord.z)*0.75+0.25);",
                    ShaderUtils.get('SimulateEncodingChunckD0'),
                    "gl_FragColor = depth;",
                "}"
            ].join("\n")

        }

        return ColorDepthShader;

});