/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2015 Esko Stonecube Ltd. All rights reserved.
 */

define(["WV3Dlib/three",
        "WV3Dmod/shaders/VertexShaderNPM",
        "WV3Dmod/shaders/ShaderUtils"
        ],
        function(THREE,
                 VertexShaderNPM,
                 ShaderUtils)
        {
        /**
         * @alias module:WebViewer3D
         * @class D0Shader
         * This shader encodes the depth of input geometries into the output rendertarget
         */

        var D0Shader = {

            uniforms: {},

            vertexShader: VertexShaderNPM.vertexShader,

            fragmentShader:
            [
                ShaderUtils.get('EncodeDepthChunck'),

                "void main()",
                "{",
                    "vec4 depth = EncodeFloatRGBA(1.0 - gl_FragCoord.z);",
                    ShaderUtils.get('SimulateEncodingChunckD0'),
                    "gl_FragColor = depth;",
                "}"
            ].join("\n")

        }

        return D0Shader;

});