/**
 * @author SVN & DOGO (Original by RAVO)
 * @module WebViewer3D
 * @copyright   2015 Esko Stonecube Ltd. All rights reserved.
 */

define(["WV3Dlib/three",
		"WV3Dmod/shaders/VertexShaderNPM",
        "WV3Dmod/shaders/ShaderUtils"
		],
		function(THREE,
				 VertexShaderNPM,
				 ShaderUtils)	
		{
	    /**
	     * @alias module:WebViewer3D
	     * @class Filter Shader for Non Printable Materials
	     */

		var FilterShaderNPM = {

	        uniforms: THREE.UniformsUtils.merge( [

				VertexShaderNPM.uniforms,

				{
					"diffuseColor" : { type: "c", value: new THREE.Color( 0xffffff ) },
					"opacity" : { type: "f", value: 1.0 },
					"diffuseTexture" : { type: "t", value: null },

			        "canvas_size": { type: "v2", value: new THREE.Vector2(1, 1) },
		          	"DX1RT" : { type: "t", value: null },
		          	"DX2RT" : { type: "t", value: null },
		          	"NBRTSRC" : { type: "i", value: 0 }
				}

			] ),

			vertexShader: VertexShaderNPM.vertexShader,

			fragmentShader: [

            	"varying vec2 texcoordVaryingScaled;",

				"uniform vec3 diffuseColor;",
				"uniform float opacity;",
				"uniform sampler2D diffuseTexture;",

				ShaderUtils.get('DeclareDepthSamplersChunck'),
				ShaderUtils.get('EncodeDepthChunck'),
				ShaderUtils.get('DecodeDepthChunck'),

				"void main()",
				"{",
				  	ShaderUtils.get('SelectPeelChunck'),

					"#ifdef USE_MAP",
						"vec4 diffColour = texture2D(diffuseTexture, texcoordVaryingScaled) * vec4(diffuseColor,1.0);",
             			"diffColour.a = opacity;",
					"#else",
						"vec4 diffColour = vec4(diffuseColor,opacity);",
					"#endif",

               		"gl_FragColor = diffColour;",
               		"gl_FragColor.a = 1.0;",
           			// "gl_FragColor.a = diffColour.a ;",
				"}"

			].join("\n")


		}

		return FilterShaderNPM;

});