/**
 * @author DOGO
 * @module WebViewer3D
 * @copyright   2015 Esko Stonecube Ltd. All rights reserved.
 */

define(["WV3Dlib/three",
        "WV3Dmod/shaders/VertexShaderNPM"
        ],
        function(THREE,
                 VertexShaderNPM)
        {
        /**
         * @alias module:WebViewer3D
         * @class ColorDepthShader
         * This shader encodes a depth gradient of input geometries into the output rendertarget
         * This can only be used as input to 2D post processing like edge detection for highlights,
         * but is not reliable to encode accurate depth such as depth peeling.
         */

        var UniformColorShader = {

            uniforms: {},

            vertexShader: VertexShaderNPM.vertexShader,

            fragmentShader:
            [
                "void main()",
                "{",
                    //depth is set to 1. This makes it significantly different from background color (supposed black)
                    "gl_FragColor = vec4(1.0, 1.0, 1.0, 1.0);",
                "}"
            ].join("\n")

        }

        return UniformColorShader;

});