define([], function () {
	"use strict";
	
	var RejectHandler = {
		STOPS_APPROVAL_IMMEDIATE: "RejectStopsApprovalImmediate",
		STOPS_APPROVAL_AFTER_STEP: "RejectStopsApprovalAfterStep",
		DOES_NOT_STOP: "RejectDoesNotStopApproval"
	};
	var DueDateType = {
		NO: "NoDueDates",
		FIXED: "FixedDueDates",
		LEAD_TIMES: "LeadTimes",
		LEAD_TIMES_WITH_FINAL_DATE: "LeadTimesFinalDueDate"
	};

	var obj = {
		// list of icons used for complex approval
		images: {
			ForceApproved: 'icon icon-normal icon-WCR_ForceApprove',
			ForceApprovedConditional: 'icon icon-normal icon-WCR_ApprovedConditional',
			ForceRejected: 'icon icon-normal icon-WCR_ForceReject',
			Approved: 'icon icon-normal icon-WCR_Approved',
			ApprovedConditional: 'icon icon-normal icon-WCR_ApprovedConditional',
			Rejected: 'icon icon-normal icon-WCR_Rejected',
			Pending: 'icon icon-normal icon-WCR_Pending',
			Approve: 'icon icon-normal icon-WCR_Approved',
			Reject: 'icon icon-normal icon-WCR_Rejected',
			Comment: 'icon icon-normal icon-WCR_Comment',
			ForceApprove: 'icon icon-normal icon-WCR_ForceApprove',
			ForceReject: 'icon icon-normal icon-WCR_ForceReject',
			Spinner: 'icon icon-normal icon-WCR_WF-Reload'
		},
		imageColors: {
			ForceApproved: 'icon-green',
			ForceApprovedConditional: 'icon-green',
			ForceRejected: 'icon-red',
			Approved: 'icon-green',
			ApprovedConditional: 'icon-green',
			Rejected: 'icon-red',
			Pending: 'icon-blue',
			Approve: 'icon-green',
			Reject: 'icon-red',
			Comment: '',
			ForceApprove: 'icon-green',
			ForceReject: 'icon-red',
			Spinner: ''
		},
		statusLabels: {
			NotDefined: "label label-default",
			NotStarted: "label label-primary",
			Pending: "label label-info",
			Approved: "label label-success",
			ForceApproved: "label label-success",
			ApprovedConditional: "label label-warning",
			ForceApprovedConditional: "label label-warning",
			Rejected: "label label-danger",
			ForceRejected: "label label-danger"
		},
		ApprovalStatus: {
			NOT_DEFINED: "NotDefined",
			NOT_STARTED: "NotStarted",
			PENDING: "Pending",
			APPROVED: "Approved",
			FORCE_APPROVED: "ForceApproved",
			CONDITIONAL_APPROVED: "ApprovedConditional",
			FORCE_CONDITIONAL_APPROVED: "ForceApprovedConditional",
			REJECTED: "Rejected",
			FORCE_REJECTED: "ForceRejected"
		},
		NotificationType: {
			NO_NOTIFICATIONS: "NoNotifications",
			DEFAULT_NOTIFICATIONS: "DefaultNotifications",
			CUSTOM_NOTIFICATIONS: "CustomNotifications"
		},
		RejectHandler: RejectHandler,

		// list of all rejection handlers for Complex Approval, see function CApp_190
		rejectionHandlersComplex: [
			RejectHandler.STOPS_APPROVAL_IMMEDIATE,
			RejectHandler.STOPS_APPROVAL_AFTER_STEP,
			RejectHandler.DOES_NOT_STOP
		],

		// list of rejection handlers for simple approval, see function CApp_190
		rejectionHandlersSimple: [
			RejectHandler.STOPS_APPROVAL_IMMEDIATE,
			RejectHandler.STOPS_APPROVAL_AFTER_STEP
		],

		// list of options for require review state
		requireReviewHandlers: [
			"RequireReviewNo",
			"RequireReviewAny",
			"RequireReviewCurrent"
		],

		// due date options for normal documents and for folders and projects, see function CApp_170 to CApp_177
		DueDateType: DueDateType,
		dueDateOptions: [
			DueDateType.NO,
			DueDateType.FIXED,
			DueDateType.LEAD_TIMES,
			DueDateType.LEAD_TIMES_WITH_FINAL_DATE
		],

		dueDateOptionsFolderProject: [
			DueDateType.NO,
			DueDateType.LEAD_TIMES
		],
		
		ApprovalMasterType: {
			PROJECT_MANAGER: "ProjectManager",
			USER: "User",
			UPLOADER: "Uploader",
			GROUP: "Group"
		},
		ApprovalType: {
			USER: "User",
			ONE_OF_GROUP: "OneOfGroup",
			ALL_OF_GROUP: "AllOfGroup", 
			ONE_OF_ROLE: "OneOfRole"
		},
		

		// list of notification types
		notificationTypeArr: [
			"approvalStageStarted",
			"approvalSubmitted",
			"userRejected",
			"approvalStageFinished",
			"approvalCycleFinished"
		]
	};

	return obj;
});
