define(["approval/model/ApprovalStage",
	"utils/dateShift"
], function (ApprovalStage, dateShift) {

	"use strict";

	/**
	 * Stage Factory that will create stages for simple approval
	 * @param {ApprovalModel}
	 */
	var SimpleApprovalStageFactory = function (approvalModel) {
		this._model = approvalModel;
	};

	/**
	 * create a stage for simple approval
	 * @param {ApprovalStage} [previousStage] - not used but it is part of the interface of the ApprovalStageFactory, so mentioning it anyway.
	 */
	SimpleApprovalStageFactory.prototype.createApprovalStage = function (previousStage) {
		var stepObj = new ApprovalStage(this._model);
		stepObj.dueDate = dateShift.addDaysHours(new Date(), 1, 0, null, true);
		return stepObj;

	};

	return SimpleApprovalStageFactory;
});
