define({	
	load: function (name, req, onload, config) {
		
		// this fallback implementation is the default CustomFormExtension.js implementation
		var fallbackFormExtension = {
			/**
			 * Example method: Shift a date for an amount of days and hours
			 * @param date {Date} - date that you want to shift
			 * @param days {Number} - amount of days you want to shift
			 * @param  hours {Number} - amount of hours you want to shift
			 * @returns {Date} Date after the shift
			 */
			shiftDate : function(date, days, hours) { 
				return new Date(date.getTime() + days*86400000 + hours * 3600000);
			},

			dummyMethod : function(){
				return false;
			}

		};
		
		// try to load the custom form extension from the WebCenter Instance
        req(["wcrBase/custom/javascript/CustomFormExtension"], function (CustomFormExtension) {
			// loading succeeded
            if (CustomFormExtension){
				// gCustomFormExtension was correctly defined, mark the module as loaded
				onload(CustomFormExtension);
			} else {
				// gCustomFormExtension was not defined, there could have been a syntax error or gCustomFromExtension is not defined in the file
				if (console && console.warn){
					console.warn("Could not find definition for gCustomFormExtension in custom/javascript/CustomFormExtension.js");
					console.warn("Please check if CustomFormExtension.js is valid JavaScript and defines the object gCustomFormExtension.");
				}
				// load the defautl implementation
				onload(fallbackFormExtension);
			}
        }, function(error){
			// an error occured while require was trying to load the file (i.e. the file does not exists)
			if (console && console.warn) {
				console.warn("Error while loading custom/javascript/CustomFormExtension.js. If you need CustomFormExtensions, please make sure that the file is present in the custom/javascript folder of every WebCenter Instance.");
				console.warn(error);
			}	
	
			// load the defautl implementation
			onload(fallbackFormExtension);
		});
    }


});