define(["attributecategory/Attribute"],
function(Attribute){
    /** 
     * Property.js
	 * 
     * Extension of Attribute class to support form properties
     */

    "use strict";

    function Property(options) {
    	Attribute.call(this, options);
    	
    	this._propertyElement = null;
    	this.getPropElemFn = options.getPropElemFn;
    	this.restorePropElemFn = options.restorePropElemFn;
    	this.labelId = options.labelId;
    	this.hidden = false;
    	this.isRequiredFn = options.isRequiredFn;
    	if(options.isRequiredFn){
    		this.isRequired = this.isRequired || options.isRequiredFn();
    	}

    	if(options.isVisibleFn){
    		this.hidden = !options.isVisibleFn(this);
    	}
    };
    
    Property.prototype = Object.create(Attribute.prototype);
    Property.prototype.constructor = Property;
    
    Property.prototype.getPropertyElement = function(){
    	if(!this._propertyElement){
    		this._propertyElement = this.getPropElemFn(this);
    	}
    	
    	return this._propertyElement;
    };
    
    Property.prototype.restoreElement = function(){
    	if(this._propertyElement){
    		if(this.restorePropElemFn){
	    		this.restorePropElemFn(this);
	    		this._propertyElement = undefined;
    		} else {
    			this._propertyElement.detach();
    		}
    	}
    };
    
    Property.prototype.getIsRequired = function(){
    	if(this.isRequiredFn){
    		this.isRequired = this.isRequired || this.isRequiredFn(this);
    	}
       	return this.isRequired;
    };
    
    return Property;
});