define(["dashboard/i18n/LanguageBundle", "utils/Promisify"], function(LanguageBundle, Promisify){
	"use strict";
	
	/**
	 * Implementation of a LanguageBuilder for the dashboard framework (based on a Webi18n bundle)
	 * @augments LanguageBundle
	 * @param {I18n} bundle - the webi18n bundle
	 */
	var WebCenterLanguageBundle = function(bundle){
		LanguageBundle.call(this);
		this._bundle = bundle;
	};
	
	WebCenterLanguageBundle.prototype = Object.create(LanguageBundle.prototype);
	WebCenterLanguageBundle.prototype.constructor = WebCenterLanguageBundle;
	
	/**
	 * @Override
	 */
	WebCenterLanguageBundle.prototype.getValueForKey = function(key){
		return this._bundle.asMap()[key];
	};
	
	return WebCenterLanguageBundle;
});