define(["dashboard/i18n/LanguageProvider", "./WebCenterLanguageBundle", "utils/Promisify"], function(LanguageProvider, WebCenterLanguageBundle, Promisify){
	"use strict";
	
	/**
	 * Dashboard Language Provider implementation for webcenter 
	 * It internally uses the webi18n functionality
	 * @augments LanguageProvider
	 */
	var WebCenterLanguageProvider = function(){
		LanguageProvider.call(this);
	};
	
	WebCenterLanguageProvider.prototype = Object.create(LanguageProvider.prototype);
	WebCenterLanguageProvider.prototype.constructor = WebCenterLanguageProvider;
	
	/**
	 * @Override
	 */
	WebCenterLanguageProvider.prototype.getLanguageBundle = function(bundleName){
		// FUTURE if multiple bundles are used, provide a decent mapping between the bundleNames from the dashboard and the ones in WebCenter
		return Promisify.require("utils/webi18n!"+bundleName).then(function(bundle){
			return new WebCenterLanguageBundle(bundle);		
		});
	};
	
	return WebCenterLanguageProvider;
});