define(["underscore", "wcr/sdrop"], function (_) {
	"use strict";
	/**
	 * @class
	 * A data provider for the keyword (saved) search component
	 */
	var KeywordSearchDataProvider = new Class({
		Extends: StaticSDropDataProvider,
		options: {
			options: {},

			sortMethod: function (a, b) {
				if (a.type === b.type) {
					// same type -> alphabetical
					if (a.name.toLowerCase() < b.name.toLowerCase()) {
						return -1;
					} else if (a.name.toLowerCase() > b.name
						.toLowerCase()) {
						return 1;
					} else {
						return 0;
					}
				} else {
					// different type -> personal first
					if (a.type === 'p') {
						// a is 'personal' , so a first
						return -1;
					} else {
						// b is 'personal', so b first
						return 1;
					}
				}
			},

			promise: null
		},

		getData: function (patternText, truncate) {
			return this.datastore
				.filter(function (item, index) {
					return this.regex.test(item.name);
				}, this.registerPattern(patternText))
				.sort(this.options.sortMethod);
		}
	});

	return KeywordSearchDataProvider;

});