define(["./MultiSelectList"],
        function (MultiSelectList) {
	"use strict";

	/**
	 * This class is extended from MultiSelectList.
	 * 
	 * This is customized class to be used in Add Elements for Table Contents
	 */
	
	var MultipleMultiSelectList = function (libFilter, selectedFilter, context, options) {
		MultiSelectList.call(this, libFilter, selectedFilter, context, options);
	};

	MultipleMultiSelectList.prototype = Object.create(MultiSelectList.prototype);
	MultipleMultiSelectList.prototype.constructor = MultipleMultiSelectList;

	/**
	 * What should happen when user deselects an item from Selected List
	 * Remove that item from UI and remove it from notselectedfilterlist
	 * 
	 * @param id
	 * @param label
	 * @param e
	 */
	MultipleMultiSelectList.prototype._entryDeselected = function (id, label, e) {
		this._selectedFilterList.removeLiByIds([id]);
	};
	
	/**
	 * What should happen when user selects an item for Selected List
	 * For table content add element on entry selection nothing should be done here.
	 * 
	 * @param id
	 * @param label
	 * @param e
	 */
	MultipleMultiSelectList.prototype._entrySelected = function (id, label, e) {
		// Should not be done any thing here.
	};

	return MultipleMultiSelectList;
});
