define(["jquery",
        "underscore",
        "component/passwordpopup/PasswordValidationPopupView",
        "component/passwordpopup/ViewerPasswordValidationPopupView"], 
	function($,
			_,
			PasswordValidationPopupView,
			ViewerPasswordValidationPopupView) {
		
		"use strict";
		
		/**
		 * Popup to validate password using password validation service.
		 * 
		 * @param options [Object] - options like viewOptions or viewer facade f
		 */
		var PasswordValidationPopup = function(options) {
			this._options = options;
			
			this._view = null;
			
			if(this._options && this._options.viewType) {
				this._viewType = this._options.viewType;
			}
			
			if(this._options && this._options.f) {
				this._f = this._options.f;
			}
			
			if(!this._viewType || this._viewType === "default") {
				this._view = PasswordValidationPopupView.getPasswordValidationPopupView();
			} else if(this._viewType === "viewer") {
				this._view = ViewerPasswordValidationPopupView.getViewerPasswordValidationPopupView(this._f);
			}
			
		};
		
		PasswordValidationPopup.prototype.open = function () {
			this._view.show();
		};
		
		PasswordValidationPopup.prototype.onSubmit = function(callback) {
			this._view.onSubmit(callback);
		};
		
		PasswordValidationPopup.prototype.onCancel = function(callback) {
			this._view.onCancel(callback);
		};
		
		PasswordValidationPopup.prototype.clearCallbacks = function() {
			this._view.clearCallbacks();
		};
		
		return PasswordValidationPopup;
	}
);

