define(["utils/webi18n!sDrop", "wcr/sdrop"], function (sDropI18n) {
	"use strict";

	/**
	 * A wrapped SDrop which does the internationalization for you.
	 * If the given options don't define i18n, it will fill them in with the default values for you.
	 * 
	 * See SDrop for parameters.
	 */
	var SDropTranslated = function (element, spinner, dataProvider, options) {
		if (!options.i18n) {
			options.i18n = {
				'startTyping': sDropI18n.tFallback("SDROP_START_TYPING", "Please select or start typing..."),
				'listTruncated': sDropI18n.tFallback("SDROP_LIST_TRUNCATED", "Warning: list truncated. Start typing to limit results..."),
				'nomatches': sDropI18n.tFallback("SDROP_NOMATCHES", "No matches found."),
				'searching': sDropI18n.tFallback("SDROP_SEARCHING", "Searching...")
			};
		}

		var wrappedSDrop = new SDrop(element, spinner, dataProvider, options);

		return wrappedSDrop;
	};

	return SDropTranslated;

});