define(["./AbstractFacetBlock",
	"underscore",
	"jquery",
	"component/searchresults/dataobjects/ValueData",
	"component/searchresults/dataobjects/ValueDataUtils"
], function (
	AbstractFacetBlock,
	_,
	$,
	ValueData,
	ValueDataUtils) {
	"use strict";

	/**
	 * Block for displaying a single ParameterField
	 * 
	 * @constructor
	 * @augments AbstractFacetBlock
	 * @param {String} id
	 * @param {Context} context
	 */
	var FacetListBlock = function FacetListBlock(id, context) {
		AbstractFacetBlock.call(this, id, context, "facet");
	};

	FacetListBlock.prototype = Object.create(AbstractFacetBlock.prototype);
	FacetListBlock.prototype.constructor = FacetListBlock;


	/**
	 * @override
	 * @returns {string} Type
	 */
	FacetListBlock.prototype.getType = function () {
		return "component/searchresults/dashboard/blocks/FacetListBlock";
	};

	/**
	 * @override
	 */
	FacetListBlock.prototype._doSearchRender = function (searchParameter) {
		if (searchParameter.getFieldLayoutAPI()) {
			AbstractFacetBlock.prototype._doSearchRender.call(this, searchParameter);
		} else {
			var label = this._i18n.t("FACET_LIST");
							
			var value = this._parameters.getParameter("FacetParameter").getParameterValue("facetids");
			if(value && value[0]) {
				var facetedfield = value[0].getValue("label", "");
				if (facetedfield){
					label = label + " " + "\"" + facetedfield + "\"";
				}
			}
			
			this._showPlaceholder("icon-WCR_Search-List", label);
		}
	};

	return FacetListBlock;
});
