define(["./AbstractSearchBlock",
	"underscore",
	"jquery"
], function (
	AbstractSearchBlock,
	_,
	$) {
	"use strict";

	/**
	 * Block for displaying an asset browser image panel
	 * @param {String} id
	 * @param {Context} context
	 */
	var SearchAssetBrowserImagePanel = function SearchAssetBrowserImagePanel(id, context) {
		AbstractSearchBlock.call(this, id, context);
	};

	SearchAssetBrowserImagePanel.prototype = Object.create(AbstractSearchBlock.prototype);
	SearchAssetBrowserImagePanel.prototype.constructor = SearchAssetBrowserImagePanel;

	/**
	 * @override
	 * @returns {string} [[Description]]
	 */
	SearchAssetBrowserImagePanel.prototype.getType = function () {
		return "component/searchresults/dashboard/blocks/SearchAssetBrowserImagePanel";
	};

	/**
	 * Display the search results table
	 * @private
	 * @param {SearchContextParameter} searchParameter 
	 */
	SearchAssetBrowserImagePanel.prototype._doSearchRender = function (searchParameter) {
		if (searchParameter.getAttributeCategoryControl()) {
			var container = searchParameter.getAttributeCategoryControl().getImagepanel();
			this._element.html("").append(container);
			this._element.css("overflow-x", "auto");
		} else {
			this._showPlaceholder("icon-WCR_Images", this._i18n.t("ASSETBROWSER_IMAGE_BLOCK"));
		}
	};

	return SearchAssetBrowserImagePanel;
});