define(["./AbstractSearchBlock",
	"underscore",
	"jquery"
], function (
	AbstractSearchBlock,
	_,
	$) {
	"use strict";

	/**
	 * Block for displaying a asset browser side panel
	 * @constructor
	 * @augments AbstractSearchBlock
	 * @param {String} id
	 * @param {Context} context
	 */
	var SearchAssetBrowserSidePanel = function SearchAssetBrowserSidePanel(id, context) {
		AbstractSearchBlock.call(this, id, context);
	};

	SearchAssetBrowserSidePanel.prototype = Object.create(AbstractSearchBlock.prototype);
	SearchAssetBrowserSidePanel.prototype.constructor = SearchAssetBrowserSidePanel;

	/**
	 * @override
	 * @returns {string} [[Description]]
	 */
	SearchAssetBrowserSidePanel.prototype.getType = function () {
		return "component/searchresults/dashboard/blocks/SearchAssetBrowserSidePanel";
	};

	/**
	 * Display the search results table
	 * @private
	 * @param {SearchContextParameter} searchParameter 
	 */
	SearchAssetBrowserSidePanel.prototype._doSearchRender = function (searchParameter) {
		if (searchParameter.getAttributeCategoryControl()) {
			this._element.html("").append(searchParameter.getAttributeCategoryControl().getSidePanel());
		} else {
			
			this._showPlaceholder("icon-WCR_Menu-Characteristics", this._i18n.t("ASSETBROWSER_SIDEPANEL_BLOCK"));
		}
	};
	
	// FUTURE nice extra have configuration of side panel in the panel configuration

	return SearchAssetBrowserSidePanel;
});