define(["./AbstractSearchBlock",
	"underscore",
	"jquery"
], function (
	AbstractSearchBlock,
	_,
	$) {
	"use strict";

	/**
	 * Block for displaying a cart in Search
	 * @constructor
	 * @augments AbstractSearchBlock
	 * @param {String} id
	 * @param {Context} context
	 */
	var SearchCartBlock = function SearchCartBlock(id, context) {
		AbstractSearchBlock.call(this, id, context);
	};

	SearchCartBlock.prototype = Object.create(AbstractSearchBlock.prototype);
	SearchCartBlock.prototype.constructor = SearchCartBlock;

	/**
	 * @override
	 * @returns {string} [[Description]]
	 */
	SearchCartBlock.prototype.getType = function () {
		return "component/searchresults/dashboard/blocks/SearchCartBlock";
	};

	/**
	 * Display the search results table
	 * @private
	 * @param {SearchContextParameter} searchParameter 
	 */
	SearchCartBlock.prototype._doSearchRender = function (searchParameter) {
		if (searchParameter.getCart()) {
			this._element.html("").append(searchParameter.getCart().getElement());
		} else {
			
			this._showPlaceholder("icon icon-WCR_Menu-Cart", this._i18n.t("CART_BLOCK"));
		}
	};
	
	// TODO should affect the "show cart" option of the search display preferences

	return SearchCartBlock;
});