define(["./AbstractSearchBlock",
	"underscore",
	"jquery"
], function (
	AbstractSearchBlock,
	_,
	$) {
	"use strict";

	/**
	 * Block for display Search Design Panel
	 * 
	 * @constructor
	 * @augments AbstractSearchBlock
	 * @param {String} id
	 * @param {Context} context
	 */
	var SearchResultsTableBlock = function SearchResultsTableBlock(id, context) {
		AbstractSearchBlock.call(this, id, context);
		
		this._showLoadingIndicator = true;
	};

	SearchResultsTableBlock.prototype = Object.create(AbstractSearchBlock.prototype);
	SearchResultsTableBlock.prototype.constructor = SearchResultsTableBlock;

	/**
	 * @override
	 * @returns {string} [[Description]]
	 */
	SearchResultsTableBlock.prototype.getType = function () {
		return "component/searchresults/dashboard/blocks/SearchResultsTableBlock";
	};

	/**
	 * Display the search results table
	 * @private
	 * @param {SearchContextParameter} searchParameter 
	 */
	SearchResultsTableBlock.prototype._doSearchRender = function (searchParameter) {
		if (searchParameter.getValue().getSearchResultsTable()) {
			this._element.html("").append(searchParameter.getValue().getSearchResultsTable().getElement());
		} else {
			
			this._showPlaceholder("icon-WCR_Search", this._i18n.t("RESULTS_PANEL_BLOCK"));
		}
	};



	return SearchResultsTableBlock;
});