/**
 * Validation Feedback object
 * 
 * Fields can push errors on this object which will be shown to the user...
 */
define([], function() {
	/**
	 * @constructor
	 */
	var ValidationFeedback = function() {
		this._errormsgs = [];
	};
	
	/**
	 * @param {String} msg - the error message 
	 */
	ValidationFeedback.prototype.addError = function(msg) {
		this._errormsgs.push(msg);
	};
	
	/**
	 * @returns {String[]} the array of error messages...
	 */
	ValidationFeedback.prototype.getErrors = function() {
		return this._errormsgs;
	};
	
	/**
	 * Clear the ValidationFeedback
	 */
	ValidationFeedback.prototype.clear = function(){
		this._errormsgs = [];
	};
	
	// Return the constructor
	return ValidationFeedback;
});