define([
        "./Render_approvalstatus",
        "./Render_billofmaterials",
        "./Render_boardname",
        "./Render_boolean",
        "./Render_cape",
        "./Render_cutoff",
        "./Render_default",
        "./Render_documents",
        "./Render_drilldown",
        "./Render_location",
        "./Render_printitem",
        "./Render_projects",
        "./Render_projstatus",
        "./Render_richtext",
        "./Render_taskduedate",
        "./Render_taskstatus",
        "./Render_textcontent_docstate",
        "./Render_textcontent_elementtype",
        "./Render_textcontent",
        "./Render_thumbnail",
        "./Render_user"
        ], function(
        		approvalstatus,
        		billofmaterials,
        		boardname,
        		boolean,
        		cape,
        		cutoff,
        		_default,
        		documents,
				drilldown,
        		location,
        		printitem,
        		projects,
        		projstatus,
        		richtext,
        		taskduedate,
        		taskstatus,
        		textcontent_docstate,
        		textcontent_elementtype,
        		textcontent,
        		thumbnail,
        		user
        		){
	/*
	 * Return the renderer implementation by the name
	 * (which renderer to use is configured on the serverside in SearchField)
	 * 
	 * Note: before we used dynamic loading by file name.
	 * But for optimization purposes we want to bundle all implementations, which is why we need this file...
	 */
	return {
		"approvalstatus":approvalstatus,
		"billofmaterials":billofmaterials,
		"boardname":boardname,
		"boolean":boolean,
		"cape":cape,
		"cutoff":cutoff,
		"default":_default,
		"documents":documents,
		"drilldown": drilldown,
		"location":location,
		"printitem":printitem,
		"projects":projects,
		"projstatus":projstatus,
		"richtext":richtext,
		"taskduedate":taskduedate,
		"taskstatus":taskstatus,
		"textcontent_docstate":textcontent_docstate,
		"textcontent_elementtype":textcontent_elementtype,
		"textcontent":textcontent,
		"thumbnail":thumbnail,
		"user":user
	};
});