define([
		"./ParameterField_approvalstatus",
		"./ParameterField_characteristics",
		"./ParameterField_date",
		"./ParameterField_docref",
		"./ParameterField_dropdown",
		"./ParameterField_float_percent",
		"./ParameterField_float",
		"./ParameterField_inks",
		"./ParameterField_integer_percent",
		"./ParameterField_integer",
		"./ParameterField_location",
		"./ParameterField_operator",
		"./ParameterField_revision",
		"./ParameterField_text",
		"./ParameterField_textcontent_docstate",
		"./ParameterField_textcontent_elementtype",
		"./ParameterField_textcontent",
		"./ParameterField_userorme",
		"./ParameterField_userormeorgroup",
		"./ParameterField_freequerydropdown",
		"./ParameterField_graph",
		"./ParameterField_facet",
		"./ParameterField_facet_counter_bar",
		"./ParameterField_firstorany"
        ], function (
	approvalstatus,
	characteristics,
	date,
	docref,
	dropdown,
	float_percent,
	float,
	inks,
	integer_percent,
	integer,
	location,
	operator,
	revision,
	text,
	textcontent_docstate,
	textcontent_elementtype,
	textcontent,
	userorme,
	userormeorgroup,
	freequerydropdown,
	graph,
	facet,
	facet_counter_bar,
	firstorany
) {
	"use strict";

	/*
	 * Return the parameter field implementation by the name
	 * (which parameter field to use is configured on the serverside in SearchField)
	 * 
	 * Note: before we used dynamic loading by file name.
	 * But for optimization purposes we want to bundle all implementations, which is why we need this file...
	 */
	return {
		"approvalstatus": approvalstatus,
		"characteristics": characteristics,
		"date": date,
		"docref": docref,
		"dropdown": dropdown,
		"float_percent": float_percent,
		"float": float,
		"inks": inks,
		"integer_percent": integer_percent,
		"integer": integer,
		"location": location,
		"operator": operator,
		"revision": revision,
		"text": text,
		"textcontent_docstate": textcontent_docstate,
		"textcontent_elementtype": textcontent_elementtype,
		"textcontent": textcontent,
		"userorme": userorme,
		"userormeorgroup": userormeorgroup,
		"freequerydropdown": freequerydropdown,
		"graph": graph,
		"facet": facet,
		"facet_counter_bar": facet_counter_bar,
		"firstorany": firstorany
	};
});