﻿define(["jquery",
        "underscore",
        "./AttributesSearchPopupView",
        "./SpecificationsSearchPopupView"], 
	function($,
			_,
			AttributesSearchPopupView,
			SpecificationsSearchPopupView) {
		
		"use strict";
		
		/**
		 * Popup to select attributes or specifications for search
		 * 
		 * @param attrsData
		 * @param options [Object] - options 
		 */
		var AttributesSearchPopup = function(attrsData, options) {
			this._options = options;
			
			if(this._options && this._options.isattrsview) {
				this._view = new AttributesSearchPopupView(attrsData);
			} else {
				this._view = new SpecificationsSearchPopupView(attrsData, options.isadmin);
			}
		};
		
		AttributesSearchPopup.prototype.open = function (attrsData) {
			this._view.show(attrsData);
		};
		
		AttributesSearchPopup.prototype.onSubmit = function(callback) {
			this._view.onSubmit(callback);
		};
		
		AttributesSearchPopup.prototype.onCancel = function(callback) {
			this._view.onCancel(callback);
		};
		
		return AttributesSearchPopup;
	}
);

