define(["jquery",
        "underscore",
        "./CharacteristicsSearchPopupView"], 
	function($,
			_,
			CharacteristicsSearchPopupView) {
		
		"use strict";
		
		/**
		 * Popup to enter characteristics search inputs
		 * 
		 * @param charsData [Object] - characteristics to preselect
		 */
		var CharacteristicsSearchPopup = function(charsData) {
			this._view =  new CharacteristicsSearchPopupView(charsData.searchtype, charsData.chars);
		};
		
		CharacteristicsSearchPopup.prototype.open = function (charsData) {
			this._view.show(charsData);
		};
		
		CharacteristicsSearchPopup.prototype.onSubmit = function(callback) {
			this._view.onSubmit(callback);
		};
		
		CharacteristicsSearchPopup.prototype.onCancel = function(callback) {
			this._view.onCancel(callback);
		};
		
		return CharacteristicsSearchPopup;
	}
);

