define(["jquery",
        "underscore",
        "./DateSearchPopupView"], 
	function($,
			_,
			DateSearchPopupView) {
		
		"use strict";
		
		/**
		 * Popup to enter date search inputs when more_options is selected
		 * 
		 * @param options [Object] - options 
		 */
		var DateSearchPopup = function(options) {
			this._options = options;
			
			this._view =  new DateSearchPopupView(this._options.showFutureContext, this._options.showLabel, this._options.fieldId);
		};
		
		DateSearchPopup.prototype.open = function () {
			this._view.show();
		};
		
		DateSearchPopup.prototype.onSubmit = function(callback) {
			this._view.onSubmit(callback);
		};
		
		DateSearchPopup.prototype.onCancel = function(callback) {
			this._view.onCancel(callback);
		};
		
		return DateSearchPopup;
	}
);

