define(["jquery",
        "underscore",
        "./InkSearchPopupView"], 
	function($,
			_,
			InkSearchPopupView) {
		
		"use strict";
		
		/**
		 * Popup to enter ink search inputs 
		 * 
		 * @param options [Object] - options 
		 */
		var InkSearchPopup = function(options) {
			this._options = options;
			
			this._view =  new InkSearchPopupView();
		};
		
		InkSearchPopup.prototype.open = function (inksData) {
			this._view.show(inksData);
		};
		
		InkSearchPopup.prototype.onSubmit = function(callback) {
			this._view.onSubmit(callback);
		};
		
		InkSearchPopup.prototype.onCancel = function(callback) {
			this._view.onCancel(callback);
		};
		
		return InkSearchPopup;
	}
);

