define([], function(){
	
	var SearchResultsPaginationHandler = function($div, changePageAndRerunCallback) {
		this.div = $div;
		this.changePageAndRerunCallback = changePageAndRerunCallback;
		
		// vars...
		this.pagecount = -1;
		this.curpage = -1;
		this.resultsperpage = -1;
	};
	
	/**
	 * To be called when the results changed...
	 * 
	 * Will read the number of results...
	 * Maybe we should put that information in some model instead??
	 */
	SearchResultsPaginationHandler.prototype.resultsChanged = function() {
		// Read the information needed for paging...
		// Currently this is stored in the wrapper around the paging links
		var pagingsection = $(".searchresultspagination", this.div);
		
		this.pagecount = Number(pagingsection.attr("data-pagecount"));
		this.curpage = Number(pagingsection.attr("data-curpage"));
		this.resultsperpage = Number(pagingsection.attr("data-resultsperpage"));
	};
	
	/**
	 * Initialize...
	 * 
	 * Registers the listeners on the pager buttons...
	 */
	SearchResultsPaginationHandler.prototype.initialize = function(){
		// Register listeners!
		$(".searchresultspagelink", this.div).click(_.partial(function(event, pagingHandler){
			// Which page to go to?
			var destinationPage = Number($(this).attr("data-gotopage"));
			
			// Go to that page...
			pagingHandler.gotoPage(destinationPage);
		}, _, this));
	};
	
	/**
	 * Go to a certain page in the search results
	 * 
	 * @param {Number} destinationPage - the page to go to
	 */
	SearchResultsPaginationHandler.prototype.gotoPage = function(destinationPage) {
		var startIndex = (destinationPage-1) * this.resultsperpage + 1;
		var endIndex = destinationPage * this.resultsperpage;
		
		this.changePageAndRerunCallback(startIndex, endIndex);
	};
	
	return SearchResultsPaginationHandler;
});
