define([], function(){
	"use strict";
	
	/**
	 * Dashboard Configuration for search results
	 */
	var SearchDashboardConfiguration = function(){
		this._dashboardConfiguration = null;
	};
	
	/**
	 * Is a dashboard defined
	 * @returns {Boolean} 	
	 */
	SearchDashboardConfiguration.prototype.hasDashboard = function(){
		return this._dashboardConfiguration !== null;
	};

	/**
	 * Get the configuration of the Dashboard
	 * 
	 * @returns {Object} dashboard configuration object (null if no dashboard is defined)
	 */
	SearchDashboardConfiguration.prototype.getDashboard = function(){
		return this._dashboardConfiguration;
	};
	
	/**
	 * Set the dashboard configuration
	 * @param {Object} configuration - new configuration object (or null)
	 */
	SearchDashboardConfiguration.prototype.setDashboard = function(configuration){
		this._dashboardConfiguration = configuration;
	};

	
	return SearchDashboardConfiguration; 
});