/**
 * SmartNames - Display
 *
 * Allows you to create a SmartName display
 */

define([
    "./input/smartnameinput",
    "jquery"
],function(
    SmartNameInput,
    $
) {
"use strict";

    
    /**
     * The class that is returned when you create a SmartName input
     * 
     * -> constructor converts a div to a SmartName edit input
     */
    var SmartNameDisplay = function(div){
    	this._div = $(div);
    	div = this._div.get(0);
        this._input = new SmartNameInput(div, {readOnly:true});
        div.SmartNameDisplay = this;
    };
    
    (function(){
        /*
         * Destroy & cleanup this SmartName display
         */
        this.destroy = function() {
            this._input.destroy();
            delete this._div.get(0).SmartNameDisplay;
        };
        
        /**
         * Get the jQuery wrapped HTML element of this SmartNameDisplay
         *
         * @returns {JQuery element} the jquery element matching this component
         */
        this.getJQElement = function() {
            return this._div;
        }
        
    }).call(SmartNameDisplay.prototype);
    
    /**
     * Method to automatically apply this module to a div...
     * 
     * @param div {DomElement} the DomElement to modify
     */
    SmartNameDisplay.wcrinit = function(div){
        new SmartNameDisplay(div);
    };
    
    /**
     * Method to automatically destroy this component once initialized for a div...
     * 
     * @param div {DomElement} the DomElement to destroy again
     */
    SmartNameDisplay.wcrdestroy = function(div){
        div.SmartNameDisplay.destroy();
    };

    return SmartNameDisplay;
});