define(["utils/ConvertUtils"],function(ConvertUtils){
	
	var DynamicSmartNameCollection = function(){
		this._smartnames = [];
	};
	
	(function(){
		/**
		 * put a SmartName value in this collection
		 * @param name the name of the SmartName
		 * @param values the value of this SmartName
		 * @param conversioninfo a string telling the back-end that some things should still be collected from the database (optional)
		 */
		this.put = function(name, values, conversioninfo) {
			if(!values || !(values instanceof Array) || values.length<1){
				values = [""];
			}
			this._smartnames.push({name: name, values: values, conversioninfo: conversioninfo});
		};
		
		/**
		 * exports the collected SmartNames to xml which can be send to the back-end
		 */
		this.exportToXml = function(){
			var text = "";
			text+="<staticsmartnames>\n";
			for(var i=0;i<this._smartnames.length;i++) {
				var smartname = this._smartnames[i];
				text+="<sn>";
				text+="<n>"+ConvertUtils.encodeHtmlEntities(smartname.name || "")+"</n>";
				for(var a=0;a<smartname.values.length;a++) {
					text+="<v>"+ConvertUtils.encodeHtmlEntities(smartname.values[a] || "")+"</v>";
				}
				if(smartname.conversioninfo!==undefined) {
					text+="<i>"+ConvertUtils.encodeHtmlEntities(smartname.conversioninfo)+"</i>";
				}
				text+="</sn>\n";
			}
			text+="</staticsmartnames>\n";
			
			return text;
		};
	}).call(DynamicSmartNameCollection.prototype);
	
	return DynamicSmartNameCollection;
});