define(["utils/webi18n!StyledFileInput", "jquery"],
	function (i18n, $) {
	
	
		/**
		 * Component for displaying styled fileinput
		 * It inserts a feedback label and listens to the file input for changes to display the currently selected filename
		 * This component was adapted from https://www.abeautifulsite.net/whipping-file-inputs-into-shape-with-bootstrap-3/
		 * @constructor
		 * @class
		 * @param {JQueryObj} context - menu div
		 */
		var StyledFileInput = function (context) {
			
			var feedback = $("<span>", {'class': "feedback"});
			context.append(feedback);
			var onChange = function(){
				var filename = null;
				
				if (this.files && this.files.length > 0){
					if (this.files[0].name){
						feedback.text(this.files[0].name);	
					} else {
						feedback.text("");
					}
				} else {
					feedback.text(i18n.t("NO_FILE_SELECTED"));
				}
			};
			
			
			context.on("change", "input[type='file']", onChange);
			onChange.call(context.find("input[type='file']").get(0));

		};

		StyledFileInput.wcrinit = function (element) {
			if (!(element instanceof $)) {
				element = $(element);
			}
			new StyledFileInput(element);
		};

		return StyledFileInput;
	});