define(["jquery",
		"underscore",
		"utils/webi18n!UserCreationStrings"
	],
	function ($,
		_,
		i18n
		) {

		"use strict";

		/**
		 * Util class to show error and warning message
		 */
		var UserCreationAndInviteMemberErrorUtil = function () {
	
		};
		
		/**
		 * Method to display error message
		 * 
		 * @param error - error tag or message
		 * @param isMessage - is a message string
		 * @param errorMessageDiv - error message div section
		 */
		UserCreationAndInviteMemberErrorUtil.prototype.showErrorMessage = function (error, isMessage,errorMessageDiv) {
			if (error) {
				var errorMsg = !isMessage ? i18n.t(error) : error;
				var errordiv = this._getAlertMessage(errorMsg, "alert-danger", true);
				errorMessageDiv.append(errordiv);
			}
		};
		
		/**
		 * Method to display warning message
		 * 
		 * @param error - error tag
		 * @param alertClass - alert class type, if no class passed then class type set to "alert-danger"
		 * @param warningMessageDiv - warning message div section
		 */
		UserCreationAndInviteMemberErrorUtil.prototype.showWarningMessage = function (error, alertClass, warningMessageDiv) {
			if (error) {
				var alertclass = alertClass || "alert-danger";
				var errordiv = this._getAlertMessage(i18n.t(error), alertclass, false);
				warningMessageDiv.append(errordiv);
			}
		};
			
		
		/**
		 * 
		 * @param message - message to display
		 * @param alertClass - alert-success | alert-info | alert-warning | alert-danger
		 * @param isDismissible - whether the alert can be closed/dismissed
		 * @returns
		 */
		UserCreationAndInviteMemberErrorUtil.prototype._getAlertMessage = function (message, alertClass, isDismissible) {
			var alert = $("<div>", {
				"class": "alert " + alertClass
			}).append($("<p>").text(message));
			if (isDismissible) {
				alert.addClass("alert-dismissible");
				alert.prepend($("<button>", {
					"class": "close",
					"data-dismiss": "alert",
					"aria-label": "Close"
				}).append(
					$("<i>").addClass("icon icon-small icon-WCR_Close12")));
			}
			return alert;
		};

		return UserCreationAndInviteMemberErrorUtil;
	});