define(["./XDropDataProvider", "./ResultEntry"], function (XDropDataProvider, ResultEntry) {
	"use strict";
var ITEMS = 10;
	
	var ExampleDataProvider = function () {
		XDropDataProvider.call(this);

		this._init();
	};

	ExampleDataProvider.prototype = Object.create(XDropDataProvider.prototype);
	ExampleDataProvider.prototype.constructor = ExampleDataProvider;



	ExampleDataProvider.prototype._init = function () {
		this._resultSet.append(this._generateEntry("TEH ONE (on the move)"));
		for (var i = 1; i < ITEMS; i++) {
			this._resultSet.append(this._generateEntry("LABEL __ "+i));
		}

		this._labelonepos = 0;
		this._resultSet.commitChanges();
		
		this._tickerInterval = setInterval(this._tick.bind(this),400);
	};


	ExampleDataProvider.prototype._tick = function () {
		var labelOne = this._resultSet.splice(this._labelonepos, 1);

		this._labelonepos = (this._labelonepos + 1) % ITEMS;
		this._resultSet.splice(this._labelonepos, 0, labelOne[0]);
		this._resultSet.splice(ITEMS, 1, this._generateEntry("we are detecting teh one at :: "+this._labelonepos));
		this._resultSet.commitChanges();
		

	};
	
	ExampleDataProvider.prototype.setQuery = function(text){
		this._resultSet.clear();
		if (text.length < 10){
			var result;
			for (var i = 0; i < ITEMS; i++){
				var res = Math.random().toString(36).substr(2, 3+ Math.floor(Math.random()*10)) + text + Math.random().toString(36).substr(2,  3+ Math.floor(Math.random()*10));

				this._resultSet.append(this._generateEntry(res));	
			}
		}
		this._resultSet.commitChanges();
		
		if (this._tickerInterval){
			clearInterval(this._tickerInterval);
			this._tickerInterval = null;
		}
		
		
	};


	ExampleDataProvider.prototype._generateEntry = function (label) {
		return new ResultEntry("label", label);

	};
	return ExampleDataProvider;
});