define(["./GroupRoleRenderer", "underscore", "jquery", "webcenterapi/data/WebCenterUser"], function (GroupRoleRenderer, _, $, WebCenterUser) {

	"use strict";

	/**
	 * Renderer that renders @class WebCenterUser
	 * @class
	 * @augments Renderer
	 * @param {JQueryObj}   div         
	 * @param {ResultEntry} resultEntry 
	 * @param {Object}      api        -  render API
	 */
	var GroupRenderer = function (div, resultEntry, api, maxMembers, iconClass) {
		GroupRoleRenderer.call(this, div, resultEntry, api, maxMembers, iconClass);
	};
	
	GroupRenderer.prototype = Object.create(GroupRoleRenderer.prototype);
	GroupRenderer.prototype.constructor = GroupRenderer;
		
	return {
		/**
		 * @returns GroupRenderer
		 */
		make: function (div, resultEntry, api) {
			return new GroupRenderer(div, resultEntry, api, 5, "icon-green icon-WCR_Assignee-Group");
		}
	};
});
