define(["./Renderer", "jquery"], function(Renderer, $){
	"use strict";
	
	/**
	 * @class LabelRenderer
	 *                
	 * @class
	 * @augments Renderer
	 * @param {JQueryObj}   div         
	 * @param {ResultEntry} resultEntry 
	 * @param {Object}      api        -  render API
	 */
	var LabelRenderer = function(div, resultEntry, api){
		Renderer.call(this, div, resultEntry, api);	
		
		this._element.text(this._resultEntry.getData());
	};
	
	LabelRenderer.prototype = Object.create(Renderer.prototype);
	LabelRenderer.prototype.constructor = LabelRenderer;
	
	return {		
		make: function(div, resultEntry, api){
			return new LabelRenderer(div, resultEntry, api);	
		}
	};


});