define(["./GroupRoleRenderer", "underscore", "jquery", "webcenterapi/data/WebCenterUser"], function (GroupRoleRenderer, _, $, WebCenterUser) {

	"use strict";

	/**
	 * Renderer that renders @class WebCenterUser
	 * @class
	 * @augments GroupRoleRenderer
	 * @param {JQueryObj}   div         
	 * @param {ResultEntry} resultEntry 
	 * @param {Object}      api        -  render API
	 */
	var RoleRenderer = function (div, resultEntry, api, maxMembers, iconClass) {
		GroupRoleRenderer.call(this, div, resultEntry, api, maxMembers, iconClass);
	};

	RoleRenderer.prototype = Object.create(GroupRoleRenderer.prototype);
	RoleRenderer.prototype.constructor = RoleRenderer;

	return {
		/**
		 * @returns RoleRenderer
		 */
		make: function (div, resultEntry, api) {
			return new RoleRenderer(div, resultEntry, api, 3, "icon-blue icon-WCR_Assignee-Role");
		}
	};
});
