define(["./ConfigurationPanel", "jquery", "underscore"], function (ConfigurationPanel, $, _) {
	"use strict";

	/**
	 * Default implementation of a Block Configration Panel
	 * @augments ConfigurationPanle
	 * @class
	 * @param {Block} block - block for which the configuration panel is made
	 */
	var BlockConfigurationPanel = function (block) {
		ConfigurationPanel.call(this);

		this._block = block;
		
		this._init();
	};

	BlockConfigurationPanel.prototype = Object.create(ConfigurationPanel.prototype);
	BlockConfigurationPanel.prototype.constructor = BlockConfigurationPanel;

	/**
	 * We display the configuration by default as a wcr-form
	 * 
	 * @private
	 */
	BlockConfigurationPanel.prototype._init = function () {
		this._element.addClass("wcr-form form-labels-on-top add-padding");
		
		var paramConfig = this._getParameterConfiguration(this._block.getParameterList());
		this._element.append(paramConfig);
	};
	
	
	/**
	 * Get the custom configuration part for the block
	 * @private
	 * @returns {object} [[Description]]
	 */
	BlockConfigurationPanel.prototype._getCustomConfiguration = function () {
		return {};
	};

	return BlockConfigurationPanel;
});