define(["./Parameter", "utils/Promisify"], function (Parameter, Promisify) {
	"use strict";

	/**
	 * Boolean Parameter
	 * @augments Parameter
	 * @param {String} name             - name of the parameter
	 * @param {String} userFriendlyName - user friendly representation of the parameter
	 */
	var BooleanParameter = function (name, context, userFriendlyName) {
		Parameter.call(this, name, context, "dashboard/core/parameters/BooleanParameter", userFriendlyName);


	};

	BooleanParameter.prototype = Object.create(Parameter.prototype);
	BooleanParameter.prototype.constructor = BooleanParameter;

	
	/**
	 * Get the configuration element for the parameter
	 * @returns {Promise.<ConfigurationPanel>} 
	 */
	BooleanParameter.prototype.getConfigurationPanel = function(){
		return Promisify.require("dashboard/builder/configuration/parameters/BooleanParameterConfigurationPanel").then(function(ParameterConfigurationPanel){
			return new ParameterConfigurationPanel(this);
		}.bind(this));
	};
	
	return BooleanParameter;
});