define(["./Parameter", "utils/Promisify"], function (Parameter, Promisify) {
	"use strict";

	/**
	 * HTML Parameter
	 * @augments Parameter
	 * @param {String} name             - name of the parameter
	 * @param {String} userFriendlyName - user friendly representation of the parameter
	 */
	var HTMLParameter = function (name, context, userFriendlyName) {
		Parameter.call(this, name, context, "dashboard/core/parameters/HTMLParameter", userFriendlyName);


	};

	HTMLParameter.prototype = Object.create(Parameter.prototype);
	HTMLParameter.prototype.constructor = HTMLParameter;

	
	/**
	 * Get the configuration element for the parameter
	 * @returns {Promise.<ConfigurationPanel>} 
	 */
	HTMLParameter.prototype.getConfigurationPanel = function(){
		return Promisify.require("dashboard/builder/configuration/parameters/HTMLParameterConfigurationPanel").then(function(ParameterConfigurationPanel){
			return new ParameterConfigurationPanel(this);
		}.bind(this));
	};
	
	return HTMLParameter;
});