define(["../BlockWrapper",
		"jquery"
		],
	function (BlockWrapper,
		$
	) {
		"use strict";

		/**
		 * BlockWrapper for elements in a FlexLayout
		 * @augments BlockWrapper
		 * @param {String} id
		 * @param {Context} context
		 */
		var FlexLayoutBlockWrapper = function (id, context) {
			BlockWrapper.call(this, id, context);
		};

		FlexLayoutBlockWrapper.prototype = Object.create(BlockWrapper.prototype);
		FlexLayoutBlockWrapper.prototype.constructor = FlexLayoutBlockWrapper;

		/**
		 * Enable/disable Dragging
		 * @override
		 */
		FlexLayoutBlockWrapper.prototype.toggleDragging = function () {
			this._dragDropHandler.toggleDragging(this.allowConfigure(),
				this._context,
				this._context.getBlockDefinition(this._blockID),
				this.getParent(),
				this._element,
				this._headerHandle, //the element where dragging is possible from
				function (event, ui) { //start
					var flexLayout = this.getParent();
					var flexItem = flexLayout.getFlexItemForID(this._block.getID());
					flexLayout.replaceColumnWithBlock(flexItem.getID(), null);
					ui.helper.data('FlexLayoutFlexItem', flexItem);

				}.bind(this),
				function (event, ui) { //stop
					var flexItem = ui.helper.data("FlexLayoutFlexItem");
					var flexLayout = flexItem.getLayout();
					if (!ui.helper.data("isValidDrop")) {
						flexLayout.replaceColumnWithBlock(flexItem.getID(), this._block.getID());
					}
				}.bind(this));

		};


		return FlexLayoutBlockWrapper;

	});
