/**
 * Template plugin for requirejs
 * @author PJPR
 */

define(["underscore"], function(_){
	var buildCache = {};
	return {
		load: function (name, req, onload, config) {
			_.templateSettings.variable = 'd';
			var url = req.toUrl(name + '.tpl.html');

        	//>>excludeStart("PExclude", pragmas.afterBuildExclude);			
        	if (config.isBuild){        		
        		 var stringBuffer, line,
                 encoding = "utf-8",
                 file = new java.io.File(url),
                 lineSeparator = java.lang.System.getProperty("line.separator"),
                 input = new java.io.BufferedReader(new java.io.InputStreamReader(new java.io.FileInputStream(file), encoding)),
                 content = '';
	             try {
	                 stringBuffer = new java.lang.StringBuffer();
	                 line = input.readLine();
	
	                 // Byte Order Mark (BOM) - The Unicode Standard, version 3.0, page 324
	                 // http://www.unicode.org/faq/utf_bom.html
	
	                 // Note that when we use utf-8, the BOM should appear as "EF BB BF", but it doesn't due to this bug in the JDK:
	                 // http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=4508058
	                 if (line && line.length() && line.charAt(0) === 0xfeff) {
	                     // Eat the BOM, since we've already found the encoding on this file,
	                     // and we plan to concatenating this buffer with others; the BOM should
	                     // only appear at the top of a file.
	                     line = line.substring(1);
	                 }
	
	                 if (line !== null) {
	                     stringBuffer.append(line);
	                 }
	
	                 while ((line = input.readLine()) !== null) {
	                     stringBuffer.append(lineSeparator);
	                     stringBuffer.append(line);
	                 }
	                 //Make sure we return a JavaScript string and not a Java string.
	                 content = String(stringBuffer.toString()); //String   
	             } finally {
	                 input.close();
	             }
	            var parsedTemplate = _.template(content);
				buildCache[name] = parsedTemplate.source;
     			onload(parsedTemplate);
        		return;
        	}
        	
        	//>>excludeEnd("PExclude");
        	
    		req(["lib/text!"+name + '.tpl.html', "underscore"], function (value, _) {
 	        	var parsedTemplate = _.template(value);
 				onload(parsedTemplate);
 	        });
		},
		
		write: function (pluginName, moduleName, write) {
		    //The text plugin keeps a map of strings it fetched
		    //during the build process, in a buildMap object.
		    if (moduleName in buildCache) {
		        //jsEscape is an internal method for the text plugin
		        //that is used to make the string safe
		        //for embedding in a JS string.
		    	
		    	var generateSource = _.template("define('<%-d.pluginName%>!<%=d.moduleName%>', function(){return <%=d.func%>});");
		        write(generateSource({
		        	pluginName: pluginName,
		        	moduleName: moduleName, 
		        	func: buildCache[moduleName]
		        }));
		    }
		}
	};
});