/**
 *
 * For JavaScript API support in ace editor
 * 
 * Modification to the ace framework.
 *
 * Modifies Languagtools for adding completers
 *
 * @author KWZA
 */
define(["ace/ext/language_tools"], function(languageTools){
    
	"use strict";
	
	/**
	 * This function was overridden to prevent crosstalk between different javascript editors
	 * @param {AceCompleter} completer 
	 */                                 
	languageTools.addCompleter = function(completer) {
		//always 4 completers: 3 default and 1 webcenter completer => we call setCompleters with that array as argument
		var completers = [languageTools.snippetCompleter, languageTools.textCompleter, languageTools.keyWordCompleter, completer];
	
		languageTools.setCompleters(completers);
	};
    
});