/**
 *
 * For SmartName support in ace editor
 * 
 * Modification to the ace framework.
 *
 * Modifies Anchor to prevent misplacing cursor for support for SmartNames.
 *
 * @author KWZA
 */
define(["ace/anchor"], function(anchor) {

    
    /*
     * Override/extend functionality in anchor
     */
    (function(){
		
		var baseOnChange = this.onChange;
		
		/**
		 * The basic version of the on change method just changes the position of the cursor 
		 * the issue is that we added new event types which trigger a "delete" handling by default
		 */
		this.onChange = function(delta){
			if(delta && delta.action && (delta.action === "insert" || delta.action === "remove")){
				baseOnChange.call(this,delta);
			}
		};
		
    }).call(anchor.Anchor.prototype);

});