/**
 * TextContentPermission object
 * @author PASH
 */
define([],
function(){
    "use strict";
	
	/**
	 * @class Represents a text content Permission.
	 * @exports TextContentPermission
	 * @constructor
	 */
	var TextContentPermission =  function(json){
		if (json) {
			this.role = json.role;
			this.tcp = json.tcp;
	        this.lang = json.lang;
		} else {
			this.role = '';
			this.tcp = '';
	        this.lang = '';
		}
	};
	
	/**
	 * Clone this TextContentPermission
	 * 
	 * @returns {TextContentPermission} A perfect clone of this TextContentPermission.
	 */
	TextContentPermission.prototype.clone = function () {
		var clone = new TextContentPermission();
		clone.role = this.role;
		clone.tcp = this.tcp;
        clone.lang = this.lang;
        return clone;
	};
	
	/**
	 * A quick helper function, only for testing purposes.
	 * 
	 * @param {String} role   Role
	 * @param {String} tcp  TextContentPermission (Editor, Content Manager, Approver)
	 * @param {String} language Language string
	 */
	TextContentPermission.prototype.initTextContentPermission = function(role, tcp, language){
        this.role = role;
		this.tcp = tcp;
		this.lang = language;
	};
    
	return TextContentPermission;
});