/**
 * ContentStatement object
 * @author HUBU
 */
define(["./DynContent",
		"jquery"
	],
	function (DynContent,
			$) {
	
		"use strict";
		
		var TextDynContent = function (contentStatementElement, locations) {
			
			// Generate an id for this TextDynContent.
			var elementLang = contentStatementElement.language;
			var elementType = contentStatementElement.parentStatement.elementType;
			var instanceSeq = contentStatementElement.parentStatement.instanceId;
			if (!instanceSeq) {
				instanceSeq = "";
			}
			var random = Math.floor(Math.random()*11);
			var id = elementType+"_I"+instanceSeq+"_"+elementLang+"_"+random;
			this._uid = contentStatementElement.parentStatement.getContentId();
			
			// Call the super
			DynContent.call(this, "Text", id);
			
			this._textElement = contentStatementElement;
			if (locations) {
				this._locations = locations;
			} else {
				this._locations = [];
			}
		};
		
		// inherit
		TextDynContent.prototype = Object.create(DynContent.prototype);
		// correct the constructor pointer 
		TextDynContent.prototype.constructor = TextDynContent;
		
		/**
		 * 
		 */
		TextDynContent.prototype.setTextElement = function (textElement) {
			this._textElement = textElement;
		};
		
		/**
		 * returns TextContentElement
		 */
		TextDynContent.prototype.getTextElement = function () {
			return this._textElement;
		};
		
		/**
		 * Return location information
		 */
		TextDynContent.prototype.getLocations = function () {
			return this._locations;
		};
		
		/**
		 * Set the array of locations for this element
		 * @param locations
		 */
		TextDynContent.prototype.setLocations = function (locations) {
			if (locations) {
				this._locations = locations;
			} else {
				this._locations = [];
			}
		};
		
		/**
		 * UID for textDynContent
		 * @returns {String}
		 */
		TextDynContent.prototype.getUid = function () {
			return this._uid;
		};		

		return TextDynContent;
});