define(["jquery", "utils/webi18n!preferences","component/sdrop/SDrop"], function ($, i18n, SDrop) {

	"use strict";

	function initDefaultUserTemplate(context) {
		var defaultUserTemplateDiv = $("#DefaultUserTemplate");
		var select = defaultUserTemplateDiv.find("select");
		if (select.length > 0) {
			var selectedItem = select.val();
			var dataProvider=  new SDropDataProvider({
				'dataSource': "GetNameIDList.jsp?list=MyUsers"
			});
			if(!selectedItem) {
				selectedItem = "default";
			}
			dataProvider.addToStore([{id:"default", name:"------- " + i18n.t("UseDefault")+" -------"}, {
				id:"no-template", name:"------- " + i18n.t("NoTemplate")+" -------"
			}]);
			new SDrop(select, null, dataProvider, {
				manageStyleAndWidth: false,
				enableEmptySelection: true,
				initialValue: selectedItem
			});
		}
	}

	return {
		wcrinit: initDefaultUserTemplate
	};
});
