define(["component/actionpopup/ImportPopup",
		"utils/webi18n!RulesTable",
		"Template",
		"tpl!pages/rules/ImportRuleSetPopupContent",
		"underscore",
		"jquery",

	],
	function (
		ImportPopup,
		i18n,
		Template,
		tpl,
		_,
		$) {

		"use strict";
	
		var languageStrings = {
				ImportConfirmText : i18n.t("RULE_SET_CONFIRM_TEXT"), 
				ImportConfirmTooltip: i18n.t("RULE_SET_IMPORT_TOOLTIP"),
				ImportConfirmCancel: i18n.t("RULE_SET_CANCEL"),
				ImportConfirmOk : i18n.t("RULE_SET_OK"),
				ImportTooltip: i18n.t("RULE_SET_IMPORT_TOOLTIP"),
				ImportCancel: i18n.t("RULE_SET_CANCEL"),
				ImportOk: i18n.t("RULE_SET_OK")
		};

		/**
		 * Popup used to import a rule set
		 * @param {string} The projectId of the project in which the rules are imported
		 * @exports ImportRuleSetPopup
		 * @class
		 */
		var ImportRuleSetPopup = function (projectId) {
			this._projectId = projectId;

			this._importPopup = new ImportPopup(languageStrings,new Template(i18n, tpl));
			
			//Make sure the rule set is imported when confirm is clicked
			this._importPopup.importConfirm = function(){
				document.rsimportform.submit();
			};
		};

		/**
		 * Open the popup
		 */
		ImportRuleSetPopup.prototype.open = function () {
			this._importPopup.template.d.projectID = this._projectId;
			this._importPopup.open();
		};

		return ImportRuleSetPopup;
	});
