define(["underscore"],
	function (_) {
		"use strict";

		/**
		 * This reprents an action of a rule
		 *
		 * @exports RuleAction
		 * @class
		 *
		 * @param {RuleConstants.ActionType} type - The type of action                
		 */
		var RuleAction = function (type) {
			/**
			 *  @member {RuleConstants.ActionType}
			 *  @private
			 */
			this.type = type;
		};

		/**
		 * Get the type of the rule action
		 * @returns {RuleConstants.ActionType}
		 */
		RuleAction.prototype.getType = function () {
			return this.type;
		};

		/**
		 * Deep copy this action
		 * @returns {RuleAction} A deep copy of the action
		 */
		RuleAction.prototype.copy = function () {
			return new RuleAction(this.type);
		};

		return RuleAction;
	}
);