define(["jquery",
        "underscore",
        "./RulePopupView"],
	function ($,
		_,
		RulePopupView) {

		"use strict";

		/**
		 * A popup for rules
		 *
		 * @exports RulePopup
		 * @class
		 * 
		 * @param {Object} options - options for the popup
		 */
		var RulePopup = function (options) {
			this._options = options;

			this._view = new RulePopupView();
		};

		/**
		 * Open the popup
		 * @param {Object} data
		 */
		RulePopup.prototype.open = function (data) {
			this._view.show(data);
		};

		/**
		 * On submit of the popup
		 * @param {Function} callback - The callback function should return a Promise!
		 */
		RulePopup.prototype.onSubmit = function (callback) {
			this._view.onSubmit(callback);
		};

		/**
		 * On cancel of the popup
		 * @param {Function} callback - The callback function should return a Promise!
		 */
		RulePopup.prototype.onCancel = function (callback) {
			this._view.onCancel(callback);
		};

		/**
		 * Clear the listeners added to submit/cancel
		 */
		RulePopup.prototype.clearListeners = function () {
			this._view.clearListeners();
		};

		return RulePopup;
	}
);