define([],
	function () {
		"use strict";

		/**
		 * This reprents a trigger of a rule
		 *
		 * @exports RuleTrigger
		 * @class
		 *
		 * @param {RuleConstants.TriggerType} type - The type of trigger                
		 */
		var RuleTrigger = function (type) {
			/**
			 *  @member {RuleConstants.TriggerType}
			 *  @private
			 */
			this.type = type;
		};

		/**
		 * Get the rule trigger type
		 * @returns {RuleConstants.TriggerType}
		 */
		RuleTrigger.prototype.getType = function () {
			return this.type;
		};

		/**
		 * Deep copy this trigger
		 * @returns {RuleTrigger} A deep copy of the trigger
		 */
		RuleTrigger.prototype.copy = function () {
			return new RuleTrigger(this.type);
		};

		return RuleTrigger;
	}
);