<%@ include file="includes/jspheader.jsp" %>
<%@ include file="includes/jspencoding.jsp" %>

<%@ include file="includes/logincheck.jsp" %>

<%@ page import="com.esko.webcenter.jsp.*" %>
<%@ page import="com.esko.webcenter.src.root.*"%>
<%@ page import="com.esko.webcenter.src.root.view.*"%>
<%@ page import="com.esko.webcenter.src.xml.*" %>
<%@ page import="com.esko.webcenter.src.util.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.esko.webcenter.exceptions.*" %>

<% 
	// get the XML for the user that was passed in
	String userID = request.getParameter("userID");
	String userName = request.getParameter("userName");			
						
	if (!IdGenerator.isIDFormat(userID)) {
		// error - no userID specified
		JSPUtils.showErrorTagNoMenu(response, session, "USER_NOT_SPECIFIED");
		return;
	}
	
	User user = null;
	UserTM userTM = DBTMUtils.findBean(response, session, UserTM.class);
	if (userTM == null)
		return;
    
	try {
		// load it from the DB
		user = userTM.findById(LoginMgr.getLoginMgr(session).getLoginID(),  userID );
	    if (user == null) {
	    	DBUtils.processDBErrorNoMenu(response, session, "DBERR_USER_NOT_FOUND", "Unable to find user by ID", userID);
	    	return;
	    } else if (!user.getName().equalsIgnoreCase(userName)) {
	    	DBUtils.processDBErrorNoMenu(response, session, "INVALIDPARAMETER_TAG", "Unable to find user by ID", userID);
	    	return;	    	
		} else if(user.isDeleted()) {
	    	DBUtils.processDBErrorNoMenu(response, session, "DBERR_USER_NOT_FOUND", "Unable to find user by ID (deleted)", userID);
	    	return;
	    }
	} catch (WebCenterRemoteException ejbEx) {
		DBTMUtils.processRemoteException(response, session, ejbEx, "UserTM.findById");
		return;
	}
	
	// setup a UserView for packaging in XML
	UserView userView = new UserView();
	userView.setUser(user);

	// load up the location if we have one
	String locationID = user.getLocationID();
	if ((locationID != null) && (locationID.length() > 0)) {
		// create the location ejb
		LocationTM locationTM = DBTMUtils.findBean(response, session, LocationTM.class);
		if (locationTM == null)
			return;

		try {
		    // load it from the DB
		    LocationView locationView = locationTM.loadLocationView(LoginMgr.getLoginMgr(session).getLoginID(), locationID );
		    if (locationView == null) {
		    	DBUtils.processDBErrorNoMenu(response, session, "DBERR_LOC_NOT_FOUND", "Unable to find location by ID", locationID);
		    	return;
		    } else {
				userView.setLocationView(locationView);
			}
		} catch (WebCenterRemoteException ejbEx) {
	    	DBTMUtils.processRemoteException(response, session, ejbEx, "LocationTM.loadLocationView");
	   		return;
		}
	}
	
	// generate the xml
	JSPDocXMLWriter  xmlWriter = new JSPDocXMLWriter(application, session);
	xmlWriter.writeXmlHeader("User Details");
	

	String pageName = "showuserdetails";
	
	// write out the user
	if (userView != null) {
		try {
			UserViewXml userViewXml = new UserViewXml();
			userViewXml.getInXml (userView, xmlWriter.getXmlWriterStream());
		} catch (XmlException xmlEx) {
			// error - generating XML
			JSPUtils.processXMLException(response, session, xmlEx, "UserViewXml.getInXml");
			return;
		}
	}
		
	// footer
	xmlWriter.writeXmlFooter();
	
	// perform the transformation
	xmlWriter.transformPage(pageName,  out);
	 
 %>
