define([], function() {
	
	// private variable to keep track of the counters.
	var idcounters = {};
	
	// The object with all the functions.
	var api = {};
	
	var groupPrefixMap = {
		drilldown: "00004_"
	};
	
	/**
	 * Makes temporary(!) unique ids when the browser is on a certain page.
	 * Useful for giving unique id's to JavaScript controls, 
	 * but cannot be used if these id's will be used for storing some values.
	 * 
	 * @param group
	 */
	api.newClientSideId = function(group) {
		var newid = idcounters[group] || 0;
		idcounters[group] = newid+1;
		newid = ""+newid;
        while (newid.length < 10) {
        	newid = "0" + newid;
        }
		var prefix = groupPrefixMap[group] || "00003_";
        return prefix+newid;
	};
	
	
	
	return api;
});